import { defAxios as request } from '@/utils/http'

/**
 * @description: 获取巡检机场
 * @return {*}
 */
export function airportList(params) {
  return request({
    url: '/inspection/airport',
    method: 'GET',
    params
  })
}

/**
 * @description: 获取航线
 * @return {*}
 */
export function airportLine(id) {
  return request({
    url: `/inspection/airport/line/${id}`,
    method: 'GET'
  })
}

/**
 * @description: 获取机场天气
 * @param {*} id 机场id
 * @return {*}
 */
export function airportWeather(id) {
  return request({
    url: `/inspection/airport/weather/${id}`,
    method: 'GET'
  })
}

/**
 * @description: 获取飞行轨迹
 * @param {*} id 机场id
 * @return {*}
 */
export function airportTrack(id) {
  return request({
    url: `/inspection/track/${id}`,
    method: 'GET'
  })
}

