import { reactive } from 'vue'
import { TASK_TYPE } from '@/utils/dictionary.js'

const data = reactive([
  {
    label: '任务编号',
    key: 'code',
    props: {
      placeholder: '请输入任务编号'
    }
  },
  {
    label: '任务名称',
    key: 'name',
    props: {
      placeholder: '请输入任务名称'
    }
  },
  {
    label: '巡检机场',
    key: 'airportId',
    type: 'select',
    props: {
      placeholder: '请选择巡检机场',
      options: [],
      onUpdateValue: () => {
        const index = data.findIndex((item) => item.key === 'route')
        data[index].value = ''
      }
    }
  },
  {
    label: '任务类型',
    key: 'type',
    type: 'select',
    value: 0,
    props: {
      placeholder: '请选择任务状态',
      options: TASK_TYPE
    }
  }
])

export default data

